/*   -*- c++ -*-
$Header: /home/auspex/h/bair/phelps/www/java/zip/RCS/ZipApplet.java,v 1.3 1996/02/20 00:42:11 phelps Exp phelps $

	ZipApplet - subclass Applet so can get access to outside world
	            shouldn't need this class in the first place--if only I only had a getStub()!

	Tom Phelps

	16 Feb	initiated
	17      redirected Container and Component methods
	18      removed Container and Component overrides now that embedding ZipApplet

*/

//package EDU.Berkeley.CS.Phelps.Zip;

import java.applet.*;
import java.lang.*;
import java.awt.*;
import java.net.URL;
import java.io.PrintStream;
import java.awt.image.*;
import java.awt.peer.ComponentPeer;

public class ZipApplet extends Applet {
  private final boolean debug = true;
  private Applet app=null;

  public void setApplet(Applet app) {
	if (this.app==null) this.app=app;
  }

  // redirect all calls to environment
  public boolean isActive() { return app.isActive(); }
  public URL getDocumentBase() { return app.getDocumentBase(); }
  public URL getCodeBase() { //return app.getCodeBase(); }
	return app.getDocumentBase();	// not clear what getCodeBase points to
  }
  public String getParameter(String name) { return app.getParameter(name); }
  public AppletContext getAppletContext() { return app.getAppletContext(); }
  public void showStatus(String msg) { app.showStatus(msg); }
  public Image getImage(URL url) { return app.getImage(url); }
  public Image getImage(URL url, String name) { return app.getImage(url,name); }
  public AudioClip getAudioClip(URL url) { return app.getAudioClip(url); }
  public AudioClip getAudioClip(URL url, String name) { return app.getAudioClip(url,name); }
  public void play(URL url) { app.play(url); }
  public void play(URL url, String name) { app.play(url,name); }
}
