/*   -*- c++ -*-
$Header: /home/auspex/h/bair/phelps/www/java/zip/RCS/ZipTest.java,v 1.4 1996/02/22 02:59:10 phelps Exp phelps $

	ZipTest - a simple class hierarchy to exercise Pinhead

	Tom Phelps

	16 Feb	written
*/


import java.lang.*;
//import java.util.*;
//import java.io.*;
import java.awt.*;
import java.util.Hashtable;
import java.applet.*;
import java.net.URL;
//import java.applet.AppletContext;
//import EDU.Berkeley.CS.Phelps.Zip.ZipApplet;
import ZipApplet;
//import ZipApplet;	// grr

class StaticInit {
  static void hi() {
	System.out.println("StaticInit.hi");
  }

  public static void init(Applet app, String ts[], int tsc) {
	for (int i=0; i<tsc; i++) {
	  System.out.print(ts[i]+" ");
	}
	System.out.println();
  }
}


class Bounce /*implements Runnable*/ {
  public void hi() {
	
	System.out.println("hi, this is Bounce");
	StaticInit.hi();
  }
}

/*
class BogusClassLoader extends ClassLoader {
  // to make concrete
  protected Class loadClass(String name, boolean resolve) throws ClassNotFoundException {
	return null;
  }

  static Class bogusDefineClass(byte b[], int offset, int length, ClassLoader cl) {
	cl.defineClass(b,offset,length);
  }
  static Class bogusFindSystemClass(String name, ClassLoader cl) throws ClassNotFoundException {
	return cl.findSystemClass(name);
  }
  static void bogusResolveClass(Class c, ClassLoader cl) {
	cl.resolveClass(c);
  }
}
*/

public class ZipTest extends ZipApplet {
  String paramnames[] = { "title", "imageurl", "ocrurl", "page", "search" };
  Hashtable params = new Hashtable();
  Bounce bounce = new Bounce();
  final boolean debug = true;	// it's a test file!
  Image img=null;
  AudioClip clip=null;

  public void init() {
	if (debug) System.out.println("real ZipTest init");

/* this is not a backdoor
	byte b[] = { (byte)0xca, (byte)0xfe, (byte)0xba, (byte)0xbe };
	ClassLoader cl = getClass().getClassLoader();
	BogusClassLoader.bogusDefineClass(b,0,b.length,cl);
	BogusClassLoader.bosusResolveClass(getClass(),true,cl);
	BogusClassLoader.bogusFindSystemClass("java.util.Stack",cl);
*/

	try {
	  img = getImage(new URL("http://www.cs.berkeley.edu/~phelps/pix/masthead-small.gif"));
	  System.out.println("got img: "+img);
	  img = getImage(new URL("http://www.cs.berkeley.edu/~phelps/java/pix/Duke.gif"));
	  System.out.println("got img: "+img);
	} catch (Exception e) {
	  System.out.println("*** AW, MAN: "+e);
	}

	// collect parameters -- can't get stub!
	for (int i=0; i<paramnames.length; i++) {
	  params.put(paramnames[i], getParameter(paramnames[i]));
	}
	bounce.hi();
	String words[] = { "I","am","in","StaticInit.init","yay!" };
	StaticInit.init(this,words,words.length);

	URL url=null;
	try {
	  url = new URL(getCodeBase(), "train.au");
	  System.out.println("url = "+url);
	  clip = getAudioClip(url);
	  System.out.println("*** got audio");
	} catch (Exception e) {
	  System.out.println("couldn't load "+url);
	}


	setLayout(null);
	Button b;
	b = new Button("north"); add(b); b.reshape(5,20, 30,20);
	b = new Button("south"); add(b); b.reshape(75,35, 40,40);
/*
	add("North", new Button("north"));
	add("South", new Button("south"));
	System.out.println("layoutManager = "+getLayout());
*/
//	resize(preferredSize());

	System.out.println("AppletContext = "+getAppletContext());

	resize(300,300);
  }

  public void start() {
	if (debug) System.out.println("real ZipTest start");
//	showStatus("hi mom, I'm in a Zip");
  }

  public void stop() {
	if (debug) System.out.println("real ZipTest stop");
  }

  public void destroy() {
	System.out.println("real ZipTest destroy");
  }

  int iuCtr=0;
  public boolean imageUpdate(Image img, int infoflags, int x, int y, int width, int height) {
	System.out.print(iuCtr+","); iuCtr++; System.out.flush();
	repaint();
	return ((infoflags&ALLBITS)==0);
  }

  public boolean action(Event e, Object o) {
	System.out.println("playing audio");
	clip.play();
	return true;
  }

  public void paint(Graphics g) {
	g.setColor(Color.red);
	g.fillRect(0,0,50,70);
	g.setColor(Color.yellow);
	g.fillRect(20,10,30,25);

	if (img!=null) g.drawImage(img, 100,75, this);

	// print out parameters
	g.setColor(Color.black);
	for (int i=0; i<paramnames.length; i++) {
	  g.drawString((String)params.get(paramnames[i]), 10, i*15);
	}
  }
}
